Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
7ac769cd5ea5a0d1873d2565196e1bb17c1ff097
[simgrid.git] / examples / java / suspend / Makefile.in
1 # Makefile.in generated by automake 1.10 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 #########################
18 # How to compile the code
19 # All this to only get a dumb javac *java... Automake still have issues with java
20
21 # Makefile chunk which allows to display the files which should be included
22 # into the distribution.
23
24 # It is intended to be included in all Makefile.am 
25 VPATH = @srcdir@
26 pkgdatadir = $(datadir)/@PACKAGE@
27 pkglibdir = $(libdir)/@PACKAGE@
28 pkgincludedir = $(includedir)/@PACKAGE@
29 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
30 install_sh_DATA = $(install_sh) -c -m 644
31 install_sh_PROGRAM = $(install_sh) -c
32 install_sh_SCRIPT = $(install_sh) -c
33 INSTALL_HEADER = $(INSTALL_DATA)
34 transform = $(program_transform_name)
35 NORMAL_INSTALL = :
36 PRE_INSTALL = :
37 POST_INSTALL = :
38 NORMAL_UNINSTALL = :
39 PRE_UNINSTALL = :
40 POST_UNINSTALL = :
41 build_triplet = @build@
42 host_triplet = @host@
43 target_triplet = @target@
44 DIST_COMMON = $(srcdir)/../java_test.mk $(srcdir)/Makefile.am \
45         $(srcdir)/Makefile.in $(top_srcdir)/acmacro/dist-files.mk
46 subdir = examples/java/suspend
47 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
48 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
49         $(top_srcdir)/acmacro/compiler-flags.m4 \
50         $(top_srcdir)/acmacro/context.m4 \
51         $(top_srcdir)/acmacro/fancy_configury.m4 \
52         $(top_srcdir)/acmacro/flex.m4 \
53         $(top_srcdir)/acmacro/gras_arch.m4 \
54         $(top_srcdir)/acmacro/print_null.m4 \
55         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
56 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
57         $(ACLOCAL_M4)
58 mkinstalldirs = $(install_sh) -d
59 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
60 CONFIG_CLEAN_FILES =
61 SOURCES =
62 DIST_SOURCES =
63 CLASSPATH_ENV = CLASSPATH=$(JAVAROOT):$(srcdir)/$(JAVAROOT):$$CLASSPATH
64 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
65 ACLOCAL = @ACLOCAL@
66 ADDR2LINE = @ADDR2LINE@
67 AMTAR = @AMTAR@
68 AM_CFLAGS = @AM_CFLAGS@
69 AR = @AR@
70 AS = @AS@
71 AUTOCONF = @AUTOCONF@
72 AUTOHEADER = @AUTOHEADER@
73 AUTOMAKE = @AUTOMAKE@
74 AWK = @AWK@
75 BASH = @BASH@
76 CC = @CC@
77 CCDEPMODE = @CCDEPMODE@
78 CFLAGS = @CFLAGS@
79 CPP = @CPP@
80 CPPFLAGS = @CPPFLAGS@
81 CXX = @CXX@
82 CXXCPP = @CXXCPP@
83 CXXDEPMODE = @CXXDEPMODE@
84 CXXFLAGS = @CXXFLAGS@
85 CYGPATH_W = @CYGPATH_W@
86 DEFS = @DEFS@
87 DEPDIR = @DEPDIR@
88 DLLTOOL = @DLLTOOL@
89 DOXYGEN = @DOXYGEN@
90 ECHO = @ECHO@
91 ECHO_C = @ECHO_C@
92 ECHO_N = @ECHO_N@
93 ECHO_T = @ECHO_T@
94 EGREP = @EGREP@
95 EXEEXT = @EXEEXT@
96 FLEXML = @FLEXML@
97 GCJ = @GCJ@
98 GCJDEPMODE = @GCJDEPMODE@
99 GCJFLAGS = @GCJFLAGS@
100 GRAS_DEP = @GRAS_DEP@
101 GREP = @GREP@
102 GTNETS_CFLAGS = @GTNETS_CFLAGS@
103 GTNETS_LDFLAGS = @GTNETS_LDFLAGS@
104 INSTALL = @INSTALL@
105 INSTALL_DATA = @INSTALL_DATA@
106 INSTALL_PROGRAM = @INSTALL_PROGRAM@
107 INSTALL_SCRIPT = @INSTALL_SCRIPT@
108 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
109 JAR = @JAR@
110 JAVA = @JAVA@
111 JAVAC = @JAVAC@
112 LDFLAGS = @LDFLAGS@
113 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
114 LEX = @LEX@
115 LEXLIB = @LEXLIB@
116 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
117 LIBOBJS = @LIBOBJS@
118 LIBS = @LIBS@
119 LIBTOOL = @LIBTOOL@
120 LN_S = @LN_S@
121 LTLIBOBJS = @LTLIBOBJS@
122 MAINT = @MAINT@
123 MAKEINFO = @MAKEINFO@
124 MD5SUM = @MD5SUM@
125 MKDIR_P = @MKDIR_P@
126 OBJDUMP = @OBJDUMP@
127 OBJEXT = @OBJEXT@
128 PACKAGE = @PACKAGE@
129 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
130 PACKAGE_NAME = @PACKAGE_NAME@
131 PACKAGE_STRING = @PACKAGE_STRING@
132 PACKAGE_TARNAME = @PACKAGE_TARNAME@
133 PACKAGE_VERSION = @PACKAGE_VERSION@
134 PATH_SEPARATOR = @PATH_SEPARATOR@
135 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
136 RANLIB = @RANLIB@
137 SET_MAKE = @SET_MAKE@
138 SHELL = @SHELL@
139 SIMGRID_DEP = @SIMGRID_DEP@
140 STRIP = @STRIP@
141 VERSION = @VERSION@
142 WARNING = @WARNING@
143 abs_builddir = @abs_builddir@
144 abs_srcdir = @abs_srcdir@
145 abs_top_builddir = @abs_top_builddir@
146 abs_top_srcdir = @abs_top_srcdir@
147 ac_configure_args = @ac_configure_args@
148 ac_ct_CC = @ac_ct_CC@
149 ac_ct_CXX = @ac_ct_CXX@
150 am__include = @am__include@
151 am__leading_dot = @am__leading_dot@
152 am__quote = @am__quote@
153 am__tar = @am__tar@
154 am__untar = @am__untar@
155 bindir = @bindir@
156 build = @build@
157 build_alias = @build_alias@
158 build_cpu = @build_cpu@
159 build_id = @build_id@
160 build_os = @build_os@
161 build_vendor = @build_vendor@
162 builddir = @builddir@
163 datadir = @datadir@
164 datarootdir = @datarootdir@
165 docdir = @docdir@
166 dvidir = @dvidir@
167 exec_prefix = @exec_prefix@
168 host = @host@
169 host_alias = @host_alias@
170 host_cpu = @host_cpu@
171 host_os = @host_os@
172 host_vendor = @host_vendor@
173 htmldir = @htmldir@
174 includedir = @includedir@
175 infodir = @infodir@
176 install_sh = @install_sh@
177 libdir = @libdir@
178 libexecdir = @libexecdir@
179 localedir = @localedir@
180 localstatedir = @localstatedir@
181 mandir = @mandir@
182 mkdir_p = @mkdir_p@
183 oldincludedir = @oldincludedir@
184 pdfdir = @pdfdir@
185 prefix = @prefix@
186 program_transform_name = @program_transform_name@
187 psdir = @psdir@
188 pth_skaddr_makecontext = @pth_skaddr_makecontext@
189 pth_sksize_makecontext = @pth_sksize_makecontext@
190 sbindir = @sbindir@
191 sharedstatedir = @sharedstatedir@
192 srcdir = @srcdir@
193 sysconfdir = @sysconfdir@
194 target = @target@
195 target_alias = @target_alias@
196 target_cpu = @target_cpu@
197 target_os = @target_os@
198 target_vendor = @target_vendor@
199 top_builddir = @top_builddir@
200 top_srcdir = @top_srcdir@
201 EXTRA_DIST = msg_test_suspend_deployment.xml msg_test_suspend_platform.xml surfxml.dtd
202
203 # Declare sources:
204 noinst_JAVA = DreamMaster.java LazyGuy.java SuspendTest.java
205
206 # Declare test class
207 #if HAVE_JAVA
208 TESTS = SuspendTest.class
209 JAVAROOT = .
210 CLASSPATH = $(top_srcdir)/src/java
211 AM_JAVACFLAGS = -I$(top_srcdir)/src/java
212
213 ##########################
214 # What to do on make check
215 # We need to rely on an external script (../runtest) because automake adds a ./ in front of the test name
216 # We need to override LD_LIBRARY_PATH so that the VM finds the libsimgrid4java.so
217 # We need to override the CLASSPATH to add simgrid.jar and current dir to the picture
218 # We also need to express dependencies manually (in each test dir)
219 # Damn...
220 TESTS_ENVIRONMENT = LD_LIBRARY_PATH="$(top_srcdir)/src/.libs:$$LD_LIBRARY_PATH" \
221                   CLASSPATH=".:$(top_srcdir)/src/simgrid.jar:$$CLASSPATH" \
222                   $(srcdir)/../runtest 
223
224 all: all-am
225
226 .SUFFIXES:
227 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/../java_test.mk $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
228         @for dep in $?; do \
229           case '$(am__configure_deps)' in \
230             *$$dep*) \
231               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
232                 && exit 0; \
233               exit 1;; \
234           esac; \
235         done; \
236         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  examples/java/suspend/Makefile'; \
237         cd $(top_srcdir) && \
238           $(AUTOMAKE) --gnu  examples/java/suspend/Makefile
239 .PRECIOUS: Makefile
240 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
241         @case '$?' in \
242           *config.status*) \
243             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
244           *) \
245             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
246             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
247         esac;
248
249 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
250         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
251
252 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
253         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
254 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
255         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
256
257 mostlyclean-libtool:
258         -rm -f *.lo
259
260 clean-libtool:
261         -rm -rf .libs _libs
262
263 classnoinst.stamp: $(noinst_JAVA)
264         @list1='$?'; list2=; if test -n "$$list1"; then \
265           for p in $$list1; do \
266             if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
267             list2="$$list2 $$d$$p"; \
268           done; \
269           echo '$(CLASSPATH_ENV) $(JAVAC) -d $(JAVAROOT) $(AM_JAVACFLAGS) $(JAVACFLAGS) '"$$list2"; \
270           $(CLASSPATH_ENV) $(JAVAC) -d $(JAVAROOT) $(AM_JAVACFLAGS) $(JAVACFLAGS) $$list2; \
271         else :; fi
272         echo timestamp > classnoinst.stamp
273
274 clean-noinstJAVA:
275         -rm -f *.class classnoinst.stamp
276 tags: TAGS
277 TAGS:
278
279 ctags: CTAGS
280 CTAGS:
281
282
283 check-TESTS: $(TESTS)
284         @failed=0; all=0; xfail=0; xpass=0; skip=0; ws='[        ]'; \
285         srcdir=$(srcdir); export srcdir; \
286         list=' $(TESTS) '; \
287         if test -n "$$list"; then \
288           for tst in $$list; do \
289             if test -f ./$$tst; then dir=./; \
290             elif test -f $$tst; then dir=; \
291             else dir="$(srcdir)/"; fi; \
292             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
293               all=`expr $$all + 1`; \
294               case " $(XFAIL_TESTS) " in \
295               *$$ws$$tst$$ws*) \
296                 xpass=`expr $$xpass + 1`; \
297                 failed=`expr $$failed + 1`; \
298                 echo "XPASS: $$tst"; \
299               ;; \
300               *) \
301                 echo "PASS: $$tst"; \
302               ;; \
303               esac; \
304             elif test $$? -ne 77; then \
305               all=`expr $$all + 1`; \
306               case " $(XFAIL_TESTS) " in \
307               *$$ws$$tst$$ws*) \
308                 xfail=`expr $$xfail + 1`; \
309                 echo "XFAIL: $$tst"; \
310               ;; \
311               *) \
312                 failed=`expr $$failed + 1`; \
313                 echo "FAIL: $$tst"; \
314               ;; \
315               esac; \
316             else \
317               skip=`expr $$skip + 1`; \
318               echo "SKIP: $$tst"; \
319             fi; \
320           done; \
321           if test "$$failed" -eq 0; then \
322             if test "$$xfail" -eq 0; then \
323               banner="All $$all tests passed"; \
324             else \
325               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
326             fi; \
327           else \
328             if test "$$xpass" -eq 0; then \
329               banner="$$failed of $$all tests failed"; \
330             else \
331               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
332             fi; \
333           fi; \
334           dashes="$$banner"; \
335           skipped=""; \
336           if test "$$skip" -ne 0; then \
337             skipped="($$skip tests were not run)"; \
338             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
339               dashes="$$skipped"; \
340           fi; \
341           report=""; \
342           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
343             report="Please report to $(PACKAGE_BUGREPORT)"; \
344             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
345               dashes="$$report"; \
346           fi; \
347           dashes=`echo "$$dashes" | sed s/./=/g`; \
348           echo "$$dashes"; \
349           echo "$$banner"; \
350           test -z "$$skipped" || echo "$$skipped"; \
351           test -z "$$report" || echo "$$report"; \
352           echo "$$dashes"; \
353           test "$$failed" -eq 0; \
354         else :; fi
355
356 distdir: $(DISTFILES)
357         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
358         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
359         list='$(DISTFILES)'; \
360           dist_files=`for file in $$list; do echo $$file; done | \
361           sed -e "s|^$$srcdirstrip/||;t" \
362               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
363         case $$dist_files in \
364           */*) $(MKDIR_P) `echo "$$dist_files" | \
365                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
366                            sort -u` ;; \
367         esac; \
368         for file in $$dist_files; do \
369           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
370           if test -d $$d/$$file; then \
371             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
372             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
373               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
374             fi; \
375             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
376           else \
377             test -f $(distdir)/$$file \
378             || cp -p $$d/$$file $(distdir)/$$file \
379             || exit 1; \
380           fi; \
381         done
382 check-am: all-am
383         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
384 check: check-am
385 all-am: Makefile classnoinst.stamp
386 installdirs:
387 install: install-am
388 install-exec: install-exec-am
389 install-data: install-data-am
390 uninstall: uninstall-am
391
392 install-am: all-am
393         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
394
395 installcheck: installcheck-am
396 install-strip:
397         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
398           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
399           `test -z '$(STRIP)' || \
400             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
401 mostlyclean-generic:
402
403 clean-generic:
404
405 distclean-generic:
406         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
407
408 maintainer-clean-generic:
409         @echo "This command is intended for maintainers to use"
410         @echo "it deletes files that may require special tools to rebuild."
411 clean: clean-am
412
413 clean-am: clean-generic clean-libtool clean-noinstJAVA mostlyclean-am
414
415 distclean: distclean-am
416         -rm -f Makefile
417 distclean-am: clean-am distclean-generic
418
419 dvi: dvi-am
420
421 dvi-am:
422
423 html: html-am
424
425 info: info-am
426
427 info-am:
428
429 install-data-am:
430
431 install-dvi: install-dvi-am
432
433 install-exec-am:
434
435 install-html: install-html-am
436
437 install-info: install-info-am
438
439 install-man:
440
441 install-pdf: install-pdf-am
442
443 install-ps: install-ps-am
444
445 installcheck-am:
446
447 maintainer-clean: maintainer-clean-am
448         -rm -f Makefile
449 maintainer-clean-am: distclean-am maintainer-clean-generic
450
451 mostlyclean: mostlyclean-am
452
453 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
454
455 pdf: pdf-am
456
457 pdf-am:
458
459 ps: ps-am
460
461 ps-am:
462
463 uninstall-am:
464
465 .MAKE: install-am install-strip
466
467 .PHONY: all all-am check check-TESTS check-am clean clean-generic \
468         clean-libtool clean-noinstJAVA distclean distclean-generic \
469         distclean-libtool distdir dvi dvi-am html html-am info info-am \
470         install install-am install-data install-data-am install-dvi \
471         install-dvi-am install-exec install-exec-am install-html \
472         install-html-am install-info install-info-am install-man \
473         install-pdf install-pdf-am install-ps install-ps-am \
474         install-strip installcheck installcheck-am installdirs \
475         maintainer-clean maintainer-clean-generic mostlyclean \
476         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
477         uninstall uninstall-am
478
479
480 # declare that we must recompile everything before lauching tests
481 $(TESTS): classnoinst.stamp
482
483 dist-files:
484         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
485         @echo
486         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
487 #endif
488
489 # Cruft
490 # Tell versions [3.59,3.63) of GNU make to not export all variables.
491 # Otherwise a system limit (for SysV at least) may be exceeded.
492 .NOEXPORT: